List referral programs
curl --request GET \
--url https://api.letsdothis.com/v0/referral-programs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/referral-programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/referral-programs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"referralProgramId": "66f1a2b3c4d5e6f708192a3b",
"name": "City River Run Rewards",
"status": "ACTIVE",
"rewardType": "MILESTONE",
"rewardRules": [
{
"type": "MILESTONE",
"threshold": 3,
"rewardAmount": {
"value": 2500,
"currencyCode": "USD"
}
}
],
"eventOccurrenceIds": [
"66a2b3c4d5e6f708192a3b4c"
]
}
],
"page": {
"totalResults": 1,
"first": "cursor",
"last": "cursor",
"prev": "",
"next": ""
}
}Referrals
List referral programs
Returns your referral programs — their ids, status, reward configuration, and covered event occurrences. Registered referrers are exposed through the separate, paginated referral-program referrers endpoint.
GET
/
v0
/
referral-programs
List referral programs
curl --request GET \
--url https://api.letsdothis.com/v0/referral-programs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/referral-programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/referral-programs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"referralProgramId": "66f1a2b3c4d5e6f708192a3b",
"name": "City River Run Rewards",
"status": "ACTIVE",
"rewardType": "MILESTONE",
"rewardRules": [
{
"type": "MILESTONE",
"threshold": 3,
"rewardAmount": {
"value": 2500,
"currencyCode": "USD"
}
}
],
"eventOccurrenceIds": [
"66a2b3c4d5e6f708192a3b4c"
]
}
],
"page": {
"totalResults": 1,
"first": "cursor",
"last": "cursor",
"prev": "",
"next": ""
}
}This endpoint is restricted and not generally available: organizations that have not been enabled receive a
403. Contact your Let’s Do This representative if you’d like access.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return one program.
Required range:
1 <= x <= 500Response
200 - application/json
Default Response
Your referral programs.
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

